RSpec.describe NfseCarioca::CancelarNfse do
  describe "#execute!" do
    context 'when NFSeCarioca rps number does not exist', :vcr do
      let(:invoice_canceller) do
        described_class.new("1000")
      end

      let(:response) { invoice_canceller.execute! }

      it 'returns false' do
        expect(response.success?).to be_falsy
      end

      it 'returns error message' do
        expect(response.error_message).to eq "Informe o número correto da NFSe."
      end
    end

    context 'when NFSeCarioca rps number exist', :vcr do
      let(:invoice_canceller) do
        described_class.new("70")
      end

      let(:response) { invoice_canceller.execute! }

      it 'returns false' do
        expect(response.success?).to be_truthy
      end
    end

  end
end
